Package org.apache.commons.math3.optimization

# Class MultivariateMultiStartOptimizer

java.lang.Object
org.apache.commons.math3.optimization.BaseMultivariateMultiStartOptimizer<MultivariateFunction>
org.apache.commons.math3.optimization.MultivariateMultiStartOptimizer

All Implemented Interfaces:
  `BaseMultivariateOptimizer<MultivariateFunction>`, `BaseOptimizer<PointValuePair>`, `MultivariateOptimizer`

@Deprecated public class MultivariateMultiStartOptimizer extends BaseMultivariateMultiStartOptimizer<MultivariateFunction> implements MultivariateOptimizer
Deprecated.
As of 3.1 (to be removed in 4.0).
Special implementation of the `MultivariateOptimizer` interface adding multi-start features to an existing optimizer. This class wraps a classical optimizer to use it several times in turn with different starting points in order to avoid being trapped into a local extremum when looking for a global one.

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`MultivariateMultiStartOptimizer(MultivariateOptimizer optimizer, int starts, RandomVectorGenerator generator)`
Deprecated.
Create a multi-start optimizer from a single-start optimizer.

## Method Summary

### Methods inherited from class org.apache.commons.math3.optimization.BaseMultivariateMultiStartOptimizer

`getConvergenceChecker, getEvaluations, getMaxEvaluations, getOptima, optimize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.commons.math3.optimization.BaseMultivariateOptimizer

`optimize`

### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

`getConvergenceChecker, getEvaluations, getMaxEvaluations`

## Constructor Details

### MultivariateMultiStartOptimizer

public MultivariateMultiStartOptimizer(MultivariateOptimizer optimizer, int starts, RandomVectorGenerator generator)
Deprecated.
Create a multi-start optimizer from a single-start optimizer.

Parameters:
  `optimizer` - Single-start optimizer to wrap.
  `starts` - Number of starts to perform (including the first one), multi-start is disabled if value is less than or equal to 1.
  `generator` - Random vector generator to use for restarts.